Bug 117117 - [PATCH] rc.sysinit /tmp cleanup
Summary: [PATCH] rc.sysinit /tmp cleanup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-28 22:52 UTC by Landon Curt Noll
Modified: 2014-03-17 02:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-02 03:41:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /etc/rc.d/rc.sysinit to clean up /tmp more on startup (593 bytes, patch)
2004-02-28 22:54 UTC, Landon Curt Noll
no flags Details | Diff

Description Landon Curt Noll 2004-02-28 22:52:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
The /etc/rc.d/rc.sysinit could clean up a few of the common chaff
that is left around in /tmp from the likes of ssh, gnome, KDE and
friends.

Version-Release number of selected component (if applicable):
initscripts-7.31.9.EL-1

How reproducible:
Always

Steps to Reproduce:
1.crash a system with lots of interactive stuff running
2.boot
3.ls -a /tmp
    

Actual Results:  Lots of stuff left over in /tmp.  For example:

/tmp/.font-unix
/tmp/.gdm_socket
/tmp/hsperfdata_*
/tmp/kde-*
/tmp/ksocket-*
/tmp/.lock.*
/tmp/mc-*
/tmp/mcop-*
/tmp/orbit-*
/tmp/scrollkeeper-*
/tmp/ssh-*


Expected Results:  Less stuff left over in /tmp.

Additional info:

This problems also exists in RH9 and Fedora Core 1.

The patch attached will with with RH9, Fedora, and RHEL.

Comment 1 Landon Curt Noll 2004-02-28 22:54:33 UTC
Created attachment 98126 [details]
patch to /etc/rc.d/rc.sysinit to clean up /tmp more on startup

Comment 2 Landon Curt Noll 2004-02-28 22:59:03 UTC
In the ancient days of Un*x (in the 1970's and later), the /tmp
file system was cleaned and/or rebuilt after every reboot.  I'm
not suggesting that this be done.  I am suggesting that some of
the common cruft could be cleaned out.

In some cases components can become confused about the state of
the world when they find old cruft in /tmp from a previous reboot.
Clearing out these files in /tmp avoids such problems and keeps
/tmp a bit more tidy.

Comment 3 Bill Nottingham 2004-03-02 03:41:34 UTC
Added in CVS, will be in the next major RHEL release (merged with the
other cleanup, and tweaked so we don't call /bin/rm 10 times. :) )



Note You need to log in before you can comment on or make changes to this bug.